Skip to main content
`Ctrl`+`K`

# DMPlexGetConeOrientations

Return cone orientation data

## Synopsis

    #include "petscdmplex.h"
    PetscErrorCode DMPlexGetConeOrientations(DM dm, PetscInt *coneOrientations[])

Not Collective

## Input Parameter

- dm - The `DMPLEX` object

## Output Parameter

- coneOrientations - The array of cone orientations for all points

## Notes

The `PetscSection` returned by `DMPlexGetConeSection()` partitions coneOrientations into cone orientations of particular points as returned by `DMPlexGetConeOrientation()`.

The meaning of coneOrientations values is detailed in `DMPlexGetConeOrientation()`.

## See Also

DMPlex: Unstructured Grids, `DM`, `DMPLEX`, `DMPlexGetConeSection()`, `DMPlexGetConeOrientation()`, `PetscSection`

## Level

developer

## Location

src/dm/impls/plex/plex.c

Index of all DMPlex routines
Table of Contents for all manual pages
Index of all manual pages